Support » Plugin: WooCommerce » Woocommerce Subscriptions plugin

  • Resolved jorisbudel

    (@jorisbudel)


    With the new wordpress version, jQuery Migrate Helper gives the following error message for the Woocommerce Subscriptions plugin:

    wp-content/plugins/woocommerce-subscriptions/assets/js/admin/admin.js: jQuery.fn.load() is deprecated

    Does somebody know how to fix this?
    Thanks!

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support Nico

    (@nicolamustone)

    Automattic Happiness Engineer

    Hello there,
    Did you try disabling the jQuery Migrate plugin? What happens if you do so?

    Please contact us at WooCommerce.com > My Account > Tickets. You may need to create an account before you can access that page.

    Please include a link to this forum thread, so that we can keep track of what’s already been done.

    We will be able to help you further there.

    Thread Starter jorisbudel

    (@jorisbudel)

    Hi Nicola,

    If I disable the plugin the error is gone, but that only means the error is running in the background right?

    On WooCommerce.com > My Account > Tickets there is no Woocommerce Subscriptions extension in the menu..

    Plugin Support RK a11n

    (@riaanknoetze)

    Just to make sure – have you purchased WooCommerce Subscriptions from WooCommerce.com and have an active license key/subscription? If you have, did you purchase that through the account that you’re logged in with at WooCommerce.com?

    If you have but are still not seeing anything in your account, please open a ticket highlighting this support thread and share the order number in that ticket where WooCommerce Subscriptions was purchased.

    Thanks!

    Thread Starter jorisbudel

    (@jorisbudel)

    Isn’t this like a general deprecation of the admin.js file inside the plugin?
    Will this be updated you think?

    royalmicer

    (@royalmicer)

    Same issue : ………/wp-content/plugins/woocommerce-subscriptions/assets/js/admin/admin.js: jQuery.fn.load() is deprecated

    Waiting for the plugin to be updated

    John LeBlanc

    (@johnleblanc)

    jQuery Migrate Helper points out all of the code that should have been updated to work with newer 3.x version of jQuery and without jquery-migrate which was dropped in WP 5.5.

    More here:
    Updating jQuery version shipped with WordPress

    Updating jQuery version shipped with WordPress

    For this specific nag about jQuery.fn.load(), consider this for woocommerce-subscriptions 3.0.8:

    woocommerce-subscriptions/assets/js/admin/admin.js line 531:
    $(window).load(function(){
    + $(window).on('load', function(){

    • This reply was modified 1 year ago by John LeBlanc. Reason: specified "woocommerce-subscriptions" 3.0.8 realizing this is a WC forum and not the WC Subscriptions forum
    Plugin Support Ena P (a11n)

    (@drwpcom)

    Since WooCommerce Subscriptions is a premium plugin, we provide support by email rather than in the forums. This forum is for support with the core WooCommerce plugin.

    For help with WooCommerce Subscriptions, please contact us by logging into the WooCommerce.com the account that has an active subscription to the extension.

    I’m going to go ahead and resolve this thread since the question here does not pertain to WooCommerce core.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Woocommerce Subscriptions plugin’ is closed to new replies.